Skip to main content
GET
Fetch Green Dot Retail Locations

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

ip_address
string

IP address of the client device making this request. Filterable.

latitude
string

Latitude of the retail location. Required along with longitude if zip_code is not provided. Filterable.

longitude
string

Longitude of the retail location. Required along with latitude if zip_code is not provided. Filterable.

zip_code
string

Zip code/Postal code of the retailer. Required if latitude and longitude are not provided. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size greendot_location elements, starting after the greendot_location described by page_cursor. If no more greendot_locations are available, the resulting list will be empty.

data
object[]